org.keycloak.adapters.undertow

## Class UndertowAuthenticatedActionsHandler

- java.lang.Object
- - org.keycloak.adapters.undertow.UndertowAuthenticatedActionsHandler

- All Implemented Interfaces:
    io.undertow.server.HttpHandler

      public class UndertowAuthenticatedActionsHandler
      extends Object
      implements io.undertow.server.HttpHandler

  Bridge for authenticated Keycloak adapter actions
  Version:
    $Revision: 1 $
  Author:
    Bill Burke, Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UndertowAuthenticatedActionsHandler.Wrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdapterDeploymentContext` | `deploymentContext`
    `protected io.undertow.server.HttpHandler` | `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndertowAuthenticatedActionsHandler(AdapterDeploymentContext deploymentContext, io.undertow.server.HttpHandler next)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleRequest(io.undertow.server.HttpServerExchange exchange)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deploymentContext

          protected AdapterDeploymentContext deploymentContext

    - #### next

          protected io.undertow.server.HttpHandler next

  - ### Constructor Detail

    - #### UndertowAuthenticatedActionsHandler

          public UndertowAuthenticatedActionsHandler(AdapterDeploymentContext deploymentContext,
                                             io.undertow.server.HttpHandler next)

  - ### Method Detail

    - #### handleRequest

          public void handleRequest(io.undertow.server.HttpServerExchange exchange)
                             throws Exception

      Specified by:
        `handleRequest` in interface `io.undertow.server.HttpHandler`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.